import React, {useState, useEffect} from 'react';
import { OrderService } from 'services';
import {OrderShowDetails} from 'components';
import Order from '../types/Order';

const OrderShowPage = (props: any) => {
    const location = parseInt(props.match.params.id);
    const [order, setOrder] = useState<Order>();
    useEffect(() => {
        OrderService.orderById(location).then((res: any) => {
            setOrder(res);
        })
    })
    // console.log(props);
    console.log(order);
    console.log(JSON.stringify(order) !== JSON.stringify({}));

    // orderInfo.

    // const orderShowDetailsArr = orderInfo
    
    // const [order, setOrder] = React.useState(null)

    // React.useEffect(() => {
    //     OrderService.orderById()
    //         .then(orderData => setOrder(orderData))


    //     return () => {
    //         // componentDidUnmount
    //     }
    // })

    if (!order) {
        return(<></>);
    }

    return (
        <>
            <span>
                <h3>Order Date: {order.date}</h3>
                <h3>Order Number: {order.orderNumber}</h3>
                <h3>Order Status: Fulfilled</h3>
            </span>
            
            <OrderShowDetails products={order.orderItems}/>
        </>
    )
}

export default OrderShowPage
